# FdoRasterDataModel Class Reference

`#include <RasterDataModel.h>`

Inheritance diagram for FdoRasterDataModel:

[legend]

List of all members.

## Detailed Description

The FdoRasterDataModel specifies the data type and organization of raster data retrieved and stored. Using this class and the image extents in width and length, the binary format of the image data returned by and accepted by the FdoIStreamReader class can be interpreted.

Definition at line 34 of file RasterDataModel.h.

## Public Member Functions
virtual FDO_API bool | Equals (FdoRasterDataModel *pModel)
| Compares this raster data model with another one.
virtual FDO_API FdoInt32 | GetBitsPerPixel ()
| Get the number of bits per pixel.
virtual FDO_API FdoRasterDataModelType | GetDataModelType ()
| Gets the type of data available from this datamodel.
virtual FDO_API FdoRasterDataType | GetDataType ()
| Gets the data type.
virtual FDO_API FdoRasterDataOrganization | GetOrganization ()
| Get the data interleave organization.
virtual FDO_API FdoInt32 | GetTileSizeX ()
| Get the tile size in the horizontal direction (number of columns).
virtual FDO_API FdoInt32 | GetTileSizeY ()
| Get the tile size in the vertical direction (number of rows).
virtual FDO_API void | SetBitsPerPixel (FdoInt32 bpp)
| Set the number of bits per pixel.
virtual FDO_API void | SetDataModelType (FdoRasterDataModelType type)
| Sets the type of data for this datamodel.
virtual FDO_API void | SetDataType (FdoRasterDataType dataType)
| Sets the data type.
virtual FDO_API void | SetOrganization (FdoRasterDataOrganization organization)
| Set the data interleave organization.
virtual FDO_API void | SetTileSizeX (FdoInt32 sizex)
| Set the tile size in the horizontal direction (number of columns).
virtual FDO_API void | SetTileSizeY (FdoInt32 sizey)
| Set the tile size in the vertical direction (number of rows). Values of 64, 128, 256, 512, 1024 and the image extents in width and length may be supported. When the tile sizes are equal to the image extents, the image is monolithic. Rectangular tile sizes, combining different values for X and Y, may be supported.
## Static Public Member Functions
static FDO_API FdoRasterDataModel * | Create ()
| Creates a new datamodel.
## Protected Member Functions
virtual FDO_API void | Dispose ()
| Dispose this object.
FDO_API | FdoRasterDataModel ()
## Protected Attributes
FdoInt32 | m_BitsPerPixel
FdoRasterDataType | m_DataType
FdoRasterDataOrganization | m_Organization
FdoInt32 | m_TileX
FdoInt32 | m_TileY
FdoRasterDataModelType | m_Type

The documentation for this class was generated from the following file:

- RasterDataModel.h